Subject: bug#8951: 24.0.50; [PATCH] enhancement request: buttonize key names

From: Stefan Monnier <[email-masked]>
Date: Mon, 04 Jul 2011 16:28:33 -0400

> What is the feature?  Let users click a key description (i.e., a
> key name, such as `C-f') in a buffer such as *Help* to see the
> associated help.  This applies to key descriptions derived from
> \[...] doc patterns (only).

That looks like a good idea.  Have you tried to plug it directly into
substitute-command-keys instead?  Are there places where such buttons
become annoying?

Basically, the thing I don't like about your patch is the resulting
redundancy between help-substitute-command-keys and
substitute-command-keys, which could be removed by getting rid of the
C version and only using the new Elisp version.

        Stefan